package com.ruoyi.ibs.list.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客群圈选分群对象 sys_groupRec(支行接收总行推荐给我的分群)
 *
 * @author ruoyi
 * @date 2024-09-11
 */
public class SysGroupRec extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 分群名称
     */
    @Excel(name = "分群名称")
    private String groupName;

    /**
     * 创建方式
     */
    @Excel(name = "创建方式")
    private String createType;

    /**
     * 客户数
     */
    @Excel(name = "客户数")
    private Long customerNum;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    /**
     * 更新方式
     */
    @Excel(name = "更新方式")
    private String updateType;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标志(0代表存在，2代表删除)
     */
    private String delFlag;

    /**
     * 分群id
     */
    private String groupId;

    /**
     * 更新方式
     */
    @Excel(name = "客户类型")
    private String custType;

    /**
     * 客户id
     */
    private String custId;

    /**
     * 客户身份证号
     */
    private String custIdc;

    /**
     * 客户名
     */
    private String custName;

    /**
     * 客户手机号
     */
    private String custPhone;

    /**
     * 推送状态
     */
    private String pushStatus;

    /**
     * 网格名称
     */
    private String gridName;
    /**
     * 归属客户经理名
     */
    private String userName;
    /**
     * 归属机构名
     */
    private String deptName;

    @Excel(name = "活动id")
    private String campaignId;

    /**
     *活动是否二次推送过，0未推送，1已推送
     */
    private String secondPushStatus;

    /**
     * 归属客户经理名
     */
    private String gridName2;
    /**
     * 归属机构名
     */
    private String lpName;

    /**
     * 统信码(只有企业或商户才有)
     */
    private String socialCreditCode;

    /**
     * 柜员id
     */
    private String tellerId;

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustIdc() {
        return custIdc;
    }

    public void setCustIdc(String custIdc) {
        this.custIdc = custIdc;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getPushStatus() {
        return pushStatus;
    }

    public void setPushStatus(String pushStatus) {
        this.pushStatus = pushStatus;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setCreateType(String createType) {
        this.createType = createType;
    }

    public String getCreateType() {
        return createType;
    }

    public void setCustomerNum(Long customerNum) {
        this.customerNum = customerNum;
    }

    public Long getCustomerNum() {
        return customerNum;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUpdateType(String updateType) {
        this.updateType = updateType;
    }

    public String getUpdateType() {
        return updateType;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }


    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(String campaignId) {
        this.campaignId = campaignId;
    }

    public String getSecondPushStatus() {
        return secondPushStatus;
    }

    public void setSecondPushStatus(String secondPushStatus) {
        this.secondPushStatus = secondPushStatus;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getGridName2() {
        return gridName2;
    }

    public void setGridName2(String gridName2) {
        this.gridName2 = gridName2;
    }

    public String getLpName() {
        return lpName;
    }

    public void setLpName(String lpName) {
        this.lpName = lpName;
    }

    public String getTellerId() {
        return tellerId;
    }

    public void setTellerId(String tellerId) {
        this.tellerId = tellerId;
    }

    public String getCustPhone() {
        return custPhone;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("groupName", getGroupName())
                .append("createType", getCreateType())
                .append("customerNum", getCustomerNum())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("updateType", getUpdateType())
                .append("status", getStatus())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag())
                .append("groupId", getGroupId()).append("custType", getCustType())
                .append("userName", getUserName()).append("deptName", getDeptName()).append("campaignId", getCampaignId())
                .append("gridName2", getGridName2()).append("lpName", getLpName())
                .append("socialCreditCode",getSocialCreditCode()).append("tellerId",getTellerId())
                .append("custPhone",getCustPhone())
                .toString();
    }
}
